#include <GL/gl.h>
#include <GL/glu.h>

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <math.h>

struct texture{
    private:
        GLuint texid;
        GLuint wid, hig;
        GLuint flagsa, flagsb;
        void* raw;
    public:
        texture();
        bool load( const char* fname, bool ulctrans = false, bool correct = true );
        bool isvalid();
        void bind();
        void unload();
        void bilinear( bool a );
        ~texture();
};
